Retrieves all the contacts
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "fbfc7dbe-7377-4cf0-a9a1-5bacbd400d7f",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "830538f9-58b8-4552-9558-38e8ce9259f6",
"company_code": "sample string 5",
"company": {
"id": "d5daaa97-d449-4adf-bf1e-32b4ad8bc666",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-15T22:06:44.0636729+00:00",
"sales_territory_id": "949750e8-4a4c-4764-98b3-4b91ff59623e",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "b2dac996-843b-47e6-875c-3c9cd552c8ac",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "52d04a9a-5009-4189-ac41-be8b16a58789",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "15151456-ad1b-4d25-a331-559772efe0a0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ee794466-02ea-4d89-bdfe-0a4b995e085b",
"db_currency_id": "9b6c7d13-4ffa-4386-9e30-ffbfdb0c7bd6",
"db_language_id": "684e58ac-d0e7-41f6-abb1-4105639f7882",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T22:06:44.0636729+00:00"
},
"modified_dateutc": "2026-10-15T22:06:44.0636729+00:00"
},
"marketing_segment_id": "9011514d-b642-4bbe-8ce3-021367970796",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "7a474f09-84ce-499b-a012-96856084ebc1",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "699baebc-2df0-4ced-ac76-673502257581",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "a2e36983-7b14-436c-9448-db8e29e88dc6",
"db_country_code": "sample string 28",
"feelist_id": "8cf6a53a-d5b4-4d3a-95a1-2e8b59ca863f",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "575208cd-6d4d-4dea-a001-b6da4c93478a",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "190efb29-0cc1-44a4-86ad-368f20fe913a",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-15T22:06:44.0636729+00:00",
"db_currency_id": "823ea430-fa85-41f6-99e1-330648d297e3",
"db_currency_code": "sample string 10"
},
"company_type_id": "2e2e46cf-3ba4-4dc9-8d61-c13ff2d40420",
"company_type_name": "sample string 32",
"company_type": {
"id": "01c576ae-944e-41e7-ae6d-e4828c7e1302",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "308c4c09-1741-42b8-87fe-99a6fe077288",
"sales_organization_code": "sample string 5"
},
"db_language_id": "2669d876-0c36-465a-9893-9bca097beefb",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "b896e83b-0d75-4343-8744-a79ab2e0cf2c",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "9aa7a5d0-9374-479a-9285-003b41821978",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "b4d5e7e0-53a3-4642-bba4-61ceeec47050",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-15T22:06:44.0636729+00:00"
},
"company_sector_id": "24e36674-4a97-47fa-af30-3117ff96e74e",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "3a49c087-4f66-40d4-b623-ee7cabc54384",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "bc149bc9-b02c-4765-935b-8773b9108446",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "6b4e4be5-c1e0-4302-8e5a-61b9bbae4da6",
"account_manager_user_code": "sample string 56",
"company_status_id": "eab068ea-576f-4d36-b7f0-f6438f4d6baa",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-15T22:06:44.1226462+00:00",
"id2": 60
},
"db_language_id": "44325cbd-8081-4636-bd59-1acf1f8a9d7d",
"db_language_code": "sample string 7",
"db_title_id": "8a50101e-51d1-4533-bdbd-e8f513da51d6",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-15T22:06:44.1226462+00:00",
"create_date": "2026-10-15T22:06:44.1226462+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-15T22:06:44.1226462+00:00"
}